Index: /palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- /palm/trunk/SOURCE/check_parameters.f90	(revision 225)
+++ /palm/trunk/SOURCE/check_parameters.f90	(revision 226)
@@ -4,4 +4,11 @@
 ! Actual revisions:
 ! -----------------
+! 
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 222 2009-01-12 16:04:16Z letzel
 ! +user_check_parameters
 ! Output of messages replaced by message handling routine.
@@ -9,8 +16,4 @@
 ! deleted __mpi2 directives
 ! Check that PALM is called with mrun -K parallel for coupling
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 197 2008-09-16 15:29:03Z raasch
@@ -114,5 +117,5 @@
        message_string = '"host" is not set. Please check that environment ' // &
                         'variable "localhost" & is set before running PALM'
-       CALL handle_palm_message( 'check_parameters', 'PA0001', 0, 0, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0001', 0, 0, 0, 6, 0 )
     ENDIF
 
@@ -123,5 +126,5 @@
          coupling_mode /= 'ocean_to_atmosphere' )  THEN
        message_string = 'illegal coupling mode: ' // TRIM( coupling_mode )
-       CALL handle_palm_message( 'check_parameters', 'PA0002', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0002', 1, 2, 0, 6, 0 )
     ENDIF
 
@@ -133,6 +136,5 @@
           message_string = 'dt_coupling is not set but required for coup' // &
                            'ling mode "' //  TRIM( coupling_mode ) // '"'
-          CALL handle_palm_message( 'check_parameters', 'PA0003', 1, 2, 0, 6, &
-                                    0 )
+          CALL message( 'check_parameters', 'PA0003', 1, 2, 0, 6, 0 )
        ENDIF
 
@@ -146,6 +148,5 @@
                  '": dt_coupling = ', dt_coupling, '& is not equal to ',       &
                  'dt_coupling_remote = ', remote
-          CALL handle_palm_message( 'check_parameters', 'PA0004', 1, 2, 0, 6, &
-                                    0 )
+          CALL message( 'check_parameters', 'PA0004', 1, 2, 0, 6, 0 )
        ENDIF
        IF ( dt_coupling <= 0.0 )  THEN
@@ -157,6 +158,5 @@
                  '": dt_coupling <= 0.0 & is not allowed and is reset to ',    &
                  'MAX(dt_max(A,O)) = ', dt_coupling
-          CALL handle_palm_message( 'check_parameters', 'PA0005', 0, 1, 0, 6, &
-                                    0 )
+          CALL message( 'check_parameters', 'PA0005', 0, 1, 0, 6, 0 )
        ENDIF
 
@@ -169,6 +169,5 @@
                  '": restart_time = ', restart_time, '& is not equal to ',     &
                  'restart_time_remote = ', remote
-          CALL handle_palm_message( 'check_parameters', 'PA0006', 1, 2, 0, 6, &
-                                    0 )
+          CALL message( 'check_parameters', 'PA0006', 1, 2, 0, 6, 0 )
        ENDIF
 
@@ -181,6 +180,5 @@
                  '": dt_restart = ', dt_restart, '& is not equal to ',         &
                  'dt_restart_remote = ', remote
-          CALL handle_palm_message( 'check_parameters', 'PA0007', 1, 2, 0, 6, &
-                                    0 )
+          CALL message( 'check_parameters', 'PA0007', 1, 2, 0, 6, 0 )
        ENDIF
 
@@ -192,6 +190,5 @@
                  '": end_time = ', end_time, '& is not equal to ',             &
                  'end_time_remote = ', remote
-          CALL handle_palm_message( 'check_parameters', 'PA0008', 1, 2, 0, 6, &
-                                    0 )
+          CALL message( 'check_parameters', 'PA0008', 1, 2, 0, 6, 0 )
        ENDIF
 
@@ -202,6 +199,5 @@
           WRITE( message_string, * ) 'coupling mode "', TRIM( coupling_mode ), &
                  '":  dx = ', dx, '& is not equal to dx_remote = ', remote
-          CALL handle_palm_message( 'check_parameters', 'PA0009', 1, 2, 0, 6, &
-                                    0 )
+          CALL message( 'check_parameters', 'PA0009', 1, 2, 0, 6, 0 )
        ENDIF
 
@@ -212,6 +208,5 @@
           WRITE( message_string, * ) 'coupling mode "', TRIM( coupling_mode ), &
                  '":  dy = ', dy, '& is not equal to dy_remote = ', remote
-          CALL handle_palm_message( 'check_parameters', 'PA0010', 1, 2, 0, 6, &
-                                    0 )
+          CALL message( 'check_parameters', 'PA0010', 1, 2, 0, 6, 0 )
        ENDIF
 
@@ -222,6 +217,5 @@
           WRITE( message_string, * ) 'coupling mode "', TRIM( coupling_mode ), &
                  '": nx = ', nx, '& is not equal to nx_remote = ', iremote
-          CALL handle_palm_message( 'check_parameters', 'PA0011', 1, 2, 0, 6, &
-                                    0 )
+          CALL message( 'check_parameters', 'PA0011', 1, 2, 0, 6, 0 )
        ENDIF
 
@@ -232,11 +226,10 @@
           WRITE( message_string, * ) 'coupling mode "', TRIM( coupling_mode ), &
                  '": ny = ', ny, '& is not equal to ny_remote = ', iremote
-          CALL handle_palm_message( 'check_parameters', 'PA0012', 1, 2, 0, 6, &
-                                    0 )
+          CALL message( 'check_parameters', 'PA0012', 1, 2, 0, 6, 0 )
        ENDIF
 #else
        WRITE( message_string, * ) 'coupling requires PALM to be called with', &
             ' ''mrun -K parallel'''
-       CALL handle_palm_message( 'check_parameters', 'PA0141', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0141', 1, 2, 0, 6, 0 )
 #endif
     ENDIF
@@ -288,5 +281,5 @@
        message_string = 'illegal value given for loop_optimization: "' // &
                         TRIM( loop_optimization ) // '"'
-       CALL handle_palm_message( 'check_parameters', 'PA0013', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0013', 1, 2, 0, 6, 0 )
     ENDIF
 
@@ -328,6 +321,5 @@
           message_string = 'a non-flat topography does not allow ' // &
                            TRIM( action )
-          CALL handle_palm_message( 'check_parameters', 'PA0014', 1, 2, 0, 6, &
-                                    0 )
+          CALL message( 'check_parameters', 'PA0014', 1, 2, 0, 6, 0 )
        ENDIF
     ENDIF
@@ -345,6 +337,5 @@
        IF ( action /= ' ' )  THEN
           message_string = 'ocean = .T. does not allow ' // TRIM( action )
-          CALL handle_palm_message( 'check_parameters', 'PA0015', 1, 2, 0, 6, &
-                                    0 )
+          CALL message( 'check_parameters', 'PA0015', 1, 2, 0, 6, 0 )
        ENDIF
     ENDIF
@@ -357,5 +348,5 @@
        message_string = 'unknown solver for perturbation pressure: psolver' // &
                         ' = "' // TRIM( psolver ) // '"'
-       CALL handle_palm_message( 'check_parameters', 'PA0016', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0016', 1, 2, 0, 6, 0 )
     ENDIF
 
@@ -365,5 +356,5 @@
                         'for a 1d domain-decomposition along x & please do' // &
                         ' not set npey/=1 in the parameter file'
-       CALL handle_palm_message( 'check_parameters', 'PA0017', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0017', 1, 2, 0, 6, 0 )
     ENDIF
     IF ( psolver == 'poisfft_hybrid'  .AND.                     &
@@ -374,5 +365,5 @@
                         'work for subdomains with unequal size & please ' // &
                         'set grid_matching = ''strict'' in the parameter file'
-       CALL handle_palm_message( 'check_parameters', 'PA0018', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0018', 1, 2, 0, 6, 0 )
     ENDIF
 #else
@@ -380,5 +371,5 @@
        message_string = 'psolver = "' // TRIM( psolver ) // '" only works' // &
                         ' for a parallel environment'
-       CALL handle_palm_message( 'check_parameters', 'PA0019', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0019', 1, 2, 0, 6, 0 )
     ENDIF
 #endif
@@ -392,6 +383,5 @@
           message_string = 'unknown multigrid cycle: cycle_mg = "' // &
                            TRIM( cycle_mg ) // '"'
-          CALL handle_palm_message( 'check_parameters', 'PA0020', 1, 2, 0, 6, &
-                                    0 )
+          CALL message( 'check_parameters', 'PA0020', 1, 2, 0, 6, 0 )
        ENDIF
     ENDIF
@@ -402,5 +392,5 @@
        message_string = 'unknown fft-algorithm: fft_method = "' // &
                         TRIM( fft_method ) // '"'
-       CALL handle_palm_message( 'check_parameters', 'PA0021', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0021', 1, 2, 0, 6, 0 )
     ENDIF
 
@@ -411,5 +401,5 @@
        message_string = 'unknown advection scheme: momentum_advec = "' // &
                         TRIM( momentum_advec ) // '"'
-       CALL handle_palm_message( 'check_parameters', 'PA0022', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0022', 1, 2, 0, 6, 0 )
     ENDIF
     IF ( ( momentum_advec == 'ups-scheme'  .OR.  scalar_advec == 'ups-scheme' )&
@@ -418,5 +408,5 @@
                         '" is not allowed with timestep_scheme = "' //    &
                         TRIM( timestep_scheme ) // '"'
-       CALL handle_palm_message( 'check_parameters', 'PA0023', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0023', 1, 2, 0, 6, 0 )
     ENDIF
 
@@ -425,5 +415,5 @@
        message_string = 'unknown advection scheme: scalar_advec = "' // &
                         TRIM( scalar_advec ) // '"'
-       CALL handle_palm_message( 'check_parameters', 'PA0024', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0024', 1, 2, 0, 6, 0 )
     ENDIF
 
@@ -432,5 +422,5 @@
        message_string = 'use_upstream_for_tke set .TRUE. because ' // &
                         'use_sgs_for_particles = .TRUE.'
-       CALL handle_palm_message( 'check_parameters', 'PA0025', 0, 1, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0025', 0, 1, 0, 6, 0 )
     ENDIF
 
@@ -438,5 +428,5 @@
        message_string = 'use_upstream_for_tke = .TRUE. not allowed with ' // &
                         'timestep_scheme = "' // TRIM( timestep_scheme ) // '"'
-       CALL handle_palm_message( 'check_parameters', 'PA0026', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0026', 1, 2, 0, 6, 0 )
     ENDIF
 
@@ -463,6 +453,5 @@
           message_string = 'unknown timestep scheme: timestep_scheme = "' // &
                            TRIM( timestep_scheme ) // '"'
-          CALL handle_palm_message( 'check_parameters', 'PA0027', 1, 2, 0, 6, &
-                                    0 )
+          CALL message( 'check_parameters', 'PA0027', 1, 2, 0, 6, 0 )
 
     END SELECT
@@ -473,5 +462,5 @@
                         '" & does not work with timestep_scheme "' // &
                         TRIM( timestep_scheme ) // '"'
-       CALL handle_palm_message( 'check_parameters', 'PA0028', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0028', 1, 2, 0, 6, 0 )
     ENDIF
 
@@ -481,5 +470,5 @@
                         TRIM( momentum_advec ) // '" & does not work with ' // &
                         'timestep_scheme "' // TRIM( timestep_scheme ) // '"'
-       CALL handle_palm_message( 'check_parameters', 'PA0029', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0029', 1, 2, 0, 6, 0 )
     ENDIF
 
@@ -500,6 +489,5 @@
                 message_string = 'initializing_action = "' // &
                                  TRIM( action ) // '" unkown or not allowed'
-                CALL handle_palm_message( 'check_parameters', 'PA0030', 1, 2, &
-                                          0, 6, 0 )
+                CALL message( 'check_parameters', 'PA0030', 1, 2, 0, 6, 0 )
 
           END SELECT
@@ -512,5 +500,5 @@
                         ' and "set_1d-model_profiles" are not allowed ' //  &
                         'simultaneously'
-       CALL handle_palm_message( 'check_parameters', 'PA0031', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0031', 1, 2, 0, 6, 0 )
     ENDIF
 
@@ -519,5 +507,5 @@
        message_string = 'initializing_actions = "set_constant_profiles"' // &
                         ' and "by_user" are not allowed simultaneously'
-       CALL handle_palm_message( 'check_parameters', 'PA0032', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0032', 1, 2, 0, 6, 0 )
     ENDIF
 
@@ -526,5 +514,5 @@
        message_string = 'initializing_actions = "by_user" and ' // &
                         '"set_1d-model_profiles" are not allowed simultaneously'
-       CALL handle_palm_message( 'check_parameters', 'PA0033', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0033', 1, 2, 0, 6, 0 )
     ENDIF
 
@@ -532,5 +520,5 @@
        WRITE( message_string, * ) 'cloud_physics = ', cloud_physics, ' is ', &
               'not allowed with humidity = ', humidity
-       CALL handle_palm_message( 'check_parameters', 'PA0034', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0034', 1, 2, 0, 6, 0 )
     ENDIF
 
@@ -538,5 +526,5 @@
        WRITE( message_string, * ) 'precipitation = ', precipitation, ' is ', &
               'not allowed with cloud_physics = ', cloud_physics
-       CALL handle_palm_message( 'check_parameters', 'PA0035', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0035', 1, 2, 0, 6, 0 )
     ENDIF
 
@@ -544,10 +532,10 @@
        message_string = 'humidity = .TRUE. and sloping_surface = .TRUE. ' // &
                         'are not allowed simultaneously'
-       CALL handle_palm_message( 'check_parameters', 'PA0036', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0036', 1, 2, 0, 6, 0 )
     ENDIF
 
     IF ( humidity  .AND.  scalar_advec == 'ups-scheme' )  THEN
        message_string = 'UPS-scheme is not implemented for humidity = .TRUE.'
-       CALL handle_palm_message( 'check_parameters', 'PA0037', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0037', 1, 2, 0, 6, 0 )
     ENDIF
 
@@ -555,5 +543,5 @@
        message_string = 'humidity = .TRUE. and passive_scalar = .TRUE. ' // &
                         'is not allowed simultaneously'
-       CALL handle_palm_message( 'check_parameters', 'PA0038', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0038', 1, 2, 0, 6, 0 )
     ENDIF
 
@@ -561,5 +549,5 @@
        message_string = 'UPS-scheme is not implemented for passive_scalar' // &
                         ' = .TRUE.'
-       CALL handle_palm_message( 'check_parameters', 'PA0039', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0039', 1, 2, 0, 6, 0 )
     ENDIF
 
@@ -567,5 +555,5 @@
        message_string = 'illegal value "' // TRIM( grid_matching ) // &
                         '" found for parameter grid_matching'
-       CALL handle_palm_message( 'check_parameters', 'PA0040', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0040', 1, 2, 0, 6, 0 )
     ENDIF
 
@@ -573,5 +561,5 @@
        message_string = 'plant_canopy = .TRUE. requires a non-zero drag ' // &
                         'coefficient & given value is drag_coefficient = 0.0'
-       CALL handle_palm_message( 'check_parameters', 'PA0041', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0041', 1, 2, 0, 6, 0 )
     ENDIF 
 
@@ -945,5 +933,5 @@
     IF ( ocean .AND. .NOT. use_top_fluxes )  THEN
        message_string = 'use_top_fluxes must be .TRUE. in ocean version'
-       CALL handle_palm_message( 'check_parameters', 'PA0042', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0042', 1, 2, 0, 6, 0 )
     ENDIF
 
@@ -954,6 +942,5 @@
           WRITE( message_string, * ) 'ABS( alpha_surface = ', alpha_surface, &
                                      ' ) must be < 90.0'
-          CALL handle_palm_message( 'check_parameters', 'PA0043', 1, 2, 0, 6, &
-                                    0 )
+          CALL message( 'check_parameters', 'PA0043', 1, 2, 0, 6, 0 )
        ENDIF
        sloping_surface = .TRUE.
@@ -967,6 +954,5 @@
        IF ( dt <= 0.0  .AND.  dt /= -1.0 )  THEN
           WRITE( message_string, * ) 'dt = ', dt , ' <= 0.0'
-          CALL handle_palm_message( 'check_parameters', 'PA0044', 1, 2, 0, 6, &
-                                    0 )
+          CALL message( 'check_parameters', 'PA0044', 1, 2, 0, 6, 0 )
        ENDIF
        dt_3d = dt
@@ -991,6 +977,5 @@
           WRITE( message_string, * ) 'cfl_factor = ', cfl_factor, &
                  ' out of range & 0.0 < cfl_factor <= 1.0 is required'
-          CALL handle_palm_message( 'check_parameters', 'PA0045', 1, 2, 0, 6, &
-                                    0 )
+          CALL message( 'check_parameters', 'PA0045', 1, 2, 0, 6, 0 )
        ENDIF
     ENDIF
@@ -1012,18 +997,15 @@
           message_string = 'baroclinicity (ug) not allowed simultaneously' // &
                            ' with galilei transformation'
-          CALL handle_palm_message( 'check_parameters', 'PA0046', 1, 2, 0, 6, &
-                                    0 )
+          CALL message( 'check_parameters', 'PA0046', 1, 2, 0, 6, 0 )
        ELSEIF ( use_ug_for_galilei_tr .AND.                &
                 vg_vertical_gradient_level(1) /= 0.0 )  THEN
           message_string = 'baroclinicity (vg) not allowed simultaneously' // &
                            ' with galilei transformation'
-          CALL handle_palm_message( 'check_parameters', 'PA0047', 1, 2, 0, 6, &
-                                    0 )
+          CALL message( 'check_parameters', 'PA0047', 1, 2, 0, 6, 0 )
        ELSE
           message_string = 'variable translation speed used for galilei-' // &
              'transformation, which may cause & instabilities in stably ' // &
              'stratified regions'
-          CALL handle_palm_message( 'check_parameters', 'PA0048', 0, 1, 0, 6, &
-                                    0 )
+          CALL message( 'check_parameters', 'PA0048', 0, 1, 0, 6, 0 )
        ENDIF
     ENDIF
@@ -1041,5 +1023,5 @@
        message_string = 'unknown boundary condition: bc_lr = "' // &
                         TRIM( bc_lr ) // '"'
-       CALL handle_palm_message( 'check_parameters', 'PA0049', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0049', 1, 2, 0, 6, 0 )
     ENDIF
     IF ( bc_ns /= 'cyclic'  .AND.  bc_ns /= 'dirichlet/radiation'  .AND. &
@@ -1047,5 +1029,5 @@
        message_string = 'unknown boundary condition: bc_ns = "' // &
                         TRIM( bc_ns ) // '"'
-       CALL handle_palm_message( 'check_parameters', 'PA0050', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0050', 1, 2, 0, 6, 0 )
     ENDIF
 
@@ -1058,24 +1040,20 @@
           message_string = 'non-cyclic lateral boundaries do not allow ' // &
                            'psolver = "' // TRIM( psolver ) // '"'
-          CALL handle_palm_message( 'check_parameters', 'PA0051', 1, 2, 0, 6, &
-                                    0 )
+          CALL message( 'check_parameters', 'PA0051', 1, 2, 0, 6, 0 )
        ENDIF
        IF ( momentum_advec /= 'pw-scheme' )  THEN
           message_string = 'non-cyclic lateral boundaries do not allow ' // &
                            'momentum_advec = "' // TRIM( momentum_advec ) // '"'
-          CALL handle_palm_message( 'check_parameters', 'PA0052', 1, 2, 0, 6, &
-                                    0 )
+          CALL message( 'check_parameters', 'PA0052', 1, 2, 0, 6, 0 )
        ENDIF
        IF ( scalar_advec /= 'pw-scheme' )  THEN
           message_string = 'non-cyclic lateral boundaries do not allow ' // &
                            'scalar_advec = "' // TRIM( scalar_advec ) // '"'
-          CALL handle_palm_message( 'check_parameters', 'PA0053', 1, 2, 0, 6, &
-                                    0 )
+          CALL message( 'check_parameters', 'PA0053', 1, 2, 0, 6, 0 )
        ENDIF
        IF ( galilei_transformation )  THEN
           message_string = 'non-cyclic lateral boundaries do not allow ' // &
                            'galilei_transformation = .T.'
-          CALL handle_palm_message( 'check_parameters', 'PA0054', 1, 2, 0, 6, &
-                                    0 )
+          CALL message( 'check_parameters', 'PA0054', 1, 2, 0, 6, 0 )
        ENDIF
     ENDIF
@@ -1087,6 +1065,5 @@
        IF ( adjust_mixing_length  .AND.  prandtl_layer )  THEN
           message_string = 'adjust_mixing_length = TRUE and bc_e_b = "neumann"'
-          CALL handle_palm_message( 'check_parameters', 'PA0055', 0, 1, 0, 6, &
-                                    0 )
+          CALL message( 'check_parameters', 'PA0055', 0, 1, 0, 6, 0 )
        ENDIF
     ELSEIF ( bc_e_b == '(u*)**2+neumann' )  THEN
@@ -1095,6 +1072,5 @@
           message_string = 'adjust_mixing_length = FALSE and bc_e_b = "' // &
                            TRIM( bc_e_b ) // '"'
-          CALL handle_palm_message( 'check_parameters', 'PA0056', 0, 1, 0, 6, &
-                                    0 )
+          CALL message( 'check_parameters', 'PA0056', 0, 1, 0, 6, 0 )
        ENDIF
        IF ( .NOT. prandtl_layer )  THEN
@@ -1103,11 +1079,10 @@
           message_string = 'boundary condition bc_e_b changed to "' // &
                            TRIM( bc_e_b ) // '"'
-          CALL handle_palm_message( 'check_parameters', 'PA0057', 0, 1, 0, 6, &
-                                    0 )
+          CALL message( 'check_parameters', 'PA0057', 0, 1, 0, 6, 0 )
        ENDIF
     ELSE
        message_string = 'unknown boundary condition: bc_e_b = "' // &
                         TRIM( bc_e_b ) // '"'
-       CALL handle_palm_message( 'check_parameters', 'PA0058', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0058', 1, 2, 0, 6, 0 )
     ENDIF
 
@@ -1123,10 +1098,10 @@
        message_string = 'unknown boundary condition: bc_p_b = "' // &
                         TRIM( bc_p_b ) // '"'
-       CALL handle_palm_message( 'check_parameters', 'PA0059', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0059', 1, 2, 0, 6, 0 )
     ENDIF
     IF ( ibc_p_b == 2  .AND.  .NOT. prandtl_layer )  THEN
        message_string = 'boundary condition: bc_p_b = "' // TRIM( bc_p_b ) // &
                         '" not allowed with prandtl_layer = .FALSE.'
-       CALL handle_palm_message( 'check_parameters', 'PA0060', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0060', 1, 2, 0, 6, 0 )
     ENDIF
     IF ( bc_p_t == 'dirichlet' )  THEN
@@ -1137,5 +1112,5 @@
        message_string = 'unknown boundary condition: bc_p_t = "' // &
                         TRIM( bc_p_t ) // '"'
-       CALL handle_palm_message( 'check_parameters', 'PA0061', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0061', 1, 2, 0, 6, 0 )
     ENDIF
 
@@ -1152,6 +1127,5 @@
           message_string = 'unknown boundary condition: bc_pt_b = "' // &
                            TRIM( bc_pt_b ) // '"'
-          CALL handle_palm_message( 'check_parameters', 'PA0062', 1, 2, 0, 6, &
-                                    0 )
+          CALL message( 'check_parameters', 'PA0062', 1, 2, 0, 6, 0 )
        ENDIF
     ENDIF
@@ -1166,5 +1140,5 @@
        message_string = 'unknown boundary condition: bc_pt_t = "' // &
                         TRIM( bc_pt_t ) // '"'
-       CALL handle_palm_message( 'check_parameters', 'PA0063', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0063', 1, 2, 0, 6, 0 )
     ENDIF
 
@@ -1178,5 +1152,5 @@
        message_string = 'both, top_momentumflux_u AND top_momentumflux_v ' // &
                         'must be set'
-       CALL handle_palm_message( 'check_parameters', 'PA0064', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0064', 1, 2, 0, 6, 0 )
     ENDIF
 
@@ -1189,5 +1163,5 @@
        message_string = 'boundary_condition: bc_pt_b = "' // TRIM( bc_pt_b ) //&
                         '& is not allowed with constant_heatflux = .TRUE.'
-       CALL handle_palm_message( 'check_parameters', 'PA0065', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0065', 1, 2, 0, 6, 0 )
     ENDIF
     IF ( constant_heatflux  .AND.  pt_surface_initial_change /= 0.0 )  THEN
@@ -1195,5 +1169,5 @@
                'wed with pt_surface_initial_change (/=0) = ', &
                pt_surface_initial_change
-       CALL handle_palm_message( 'check_parameters', 'PA0066', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0066', 1, 2, 0, 6, 0 )
     ENDIF
 
@@ -1206,5 +1180,5 @@
        message_string = 'boundary_condition: bc_pt_t = "' // TRIM( bc_pt_t ) //&
                         '" is not allowed with constant_top_heatflux = .TRUE.'
-       CALL handle_palm_message( 'check_parameters', 'PA0067', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0067', 1, 2, 0, 6, 0 )
     ENDIF
 
@@ -1219,6 +1193,5 @@
           message_string = 'unknown boundary condition: bc_sa_t = "' // &
                            TRIM( bc_sa_t ) // '"'
-          CALL handle_palm_message( 'check_parameters', 'PA0068', 1, 2, 0, 6, &
-                                    0 )
+          CALL message( 'check_parameters', 'PA0068', 1, 2, 0, 6, 0 )
        ENDIF
 
@@ -1228,6 +1201,5 @@
                            TRIM( bc_sa_t ) // '" requires to set ' // &
                            'top_salinityflux'
-          CALL handle_palm_message( 'check_parameters', 'PA0069', 1, 2, 0, 6, &
-                                    0 )
+          CALL message( 'check_parameters', 'PA0069', 1, 2, 0, 6, 0 )
        ENDIF
 
@@ -1241,6 +1213,5 @@
                            TRIM( bc_sa_t ) // '" is not allowed with ' // &
                            'constant_top_salinityflux = .TRUE.'
-          CALL handle_palm_message( 'check_parameters', 'PA0070', 1, 2, 0, 6, &
-                                    0 )
+          CALL message( 'check_parameters', 'PA0070', 1, 2, 0, 6, 0 )
        ENDIF
 
@@ -1263,6 +1234,5 @@
           message_string = 'unknown boundary condition: bc_' // TRIM( sq ) // &
                            '_b ="' // TRIM( bc_q_b ) // '"'
-          CALL handle_palm_message( 'check_parameters', 'PA0071', 1, 2, 0, 6, &
-                                    0 )
+          CALL message( 'check_parameters', 'PA0071', 1, 2, 0, 6, 0 )
        ENDIF
        IF ( bc_q_t == 'dirichlet' )  THEN
@@ -1273,6 +1243,5 @@
           message_string = 'unknown boundary condition: bc_' // TRIM( sq ) // &
                            '_t ="' // TRIM( bc_q_t ) // '"'
-          CALL handle_palm_message( 'check_parameters', 'PA0072', 1, 2, 0, 6, &
-                                    0 )
+          CALL message( 'check_parameters', 'PA0072', 1, 2, 0, 6, 0 )
        ENDIF
 
@@ -1287,6 +1256,5 @@
                            '= "' // TRIM( bc_q_b ) // '" is not allowed wi' // &
                            'th prescribed surface flux'
-          CALL handle_palm_message( 'check_parameters', 'PA0073', 1, 2, 0, 6, &
-                                    0 )
+          CALL message( 'check_parameters', 'PA0073', 1, 2, 0, 6, 0 )
        ENDIF
        IF ( constant_waterflux  .AND.  q_surface_initial_change /= 0.0 )  THEN
@@ -1294,6 +1262,5 @@
                  'wed with ', sq, '_surface_initial_change (/=0) = ', &
                  q_surface_initial_change
-          CALL handle_palm_message( 'check_parameters', 'PA0074', 1, 2, 0, 6, &
-                                    0 )
+          CALL message( 'check_parameters', 'PA0074', 1, 2, 0, 6, 0 )
        ENDIF
        
@@ -1309,11 +1276,10 @@
           message_string = 'boundary condition: bc_uv_b = "' // &
                TRIM( bc_uv_b ) // '" is not allowed with prandtl_layer = .TRUE.'
-          CALL handle_palm_message( 'check_parameters', 'PA0075', 1, 2, 0, 6, &
-                                    0 )
+          CALL message( 'check_parameters', 'PA0075', 1, 2, 0, 6, 0 )
        ENDIF
     ELSE
        message_string = 'unknown boundary condition: bc_uv_b = "' // &
                         TRIM( bc_uv_b ) // '"'
-       CALL handle_palm_message( 'check_parameters', 'PA0076', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0076', 1, 2, 0, 6, 0 )
     ENDIF
 
@@ -1329,6 +1295,5 @@
           message_string = 'unknown boundary condition: bc_uv_t = "' // &
                            TRIM( bc_uv_t ) // '"'
-          CALL handle_palm_message( 'check_parameters', 'PA0077', 1, 2, 0, 6, &
-                                    0 )
+          CALL message( 'check_parameters', 'PA0077', 1, 2, 0, 6, 0 )
        ENDIF
     ENDIF
@@ -1347,6 +1312,5 @@
           WRITE( message_string, * )  'rayleigh_damping_factor = ', &
                               rayleigh_damping_factor, ' out of range [0.0,1.0]'
-          CALL handle_palm_message( 'check_parameters', 'PA0078', 1, 2, 0, 6, &
-                                    0 )
+          CALL message( 'check_parameters', 'PA0078', 1, 2, 0, 6, 0 )
        ENDIF
     ENDIF
@@ -1364,6 +1328,5 @@
              WRITE( message_string, * )  'rayleigh_damping_height = ', &
                    rayleigh_damping_height, ' out of range [0.0,', zu(nzt), ']'
-             CALL handle_palm_message( 'check_parameters', 'PA0079', 1, 2, 0, &
-                                       6, 0 )
+             CALL message( 'check_parameters', 'PA0079', 1, 2, 0, 6, 0 )
           ENDIF
        ELSE
@@ -1372,6 +1335,5 @@
              WRITE( message_string, * )  'rayleigh_damping_height = ', &
                    rayleigh_damping_height, ' out of range [0.0,', zu(nzb), ']'
-             CALL handle_palm_message( 'check_parameters', 'PA0079', 1, 2, 0, &
-                                       6, 0 )
+             CALL message( 'check_parameters', 'PA0079', 1, 2, 0, 6, 0 )
           ENDIF
        ENDIF
@@ -1384,10 +1346,10 @@
          overshoot_limit_e < 0.0 )  THEN
        message_string = 'overshoot_limit_... < 0.0 is not allowed'
-       CALL handle_palm_message( 'check_parameters', 'PA0080', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0080', 1, 2, 0, 6, 0 )
     ENDIF
     IF ( ups_limit_u < 0.0 .OR. ups_limit_v < 0.0 .OR. ups_limit_w < 0.0 .OR. &
          ups_limit_pt < 0.0 .OR. ups_limit_e < 0.0 )  THEN
        message_string = 'ups_limit_... < 0.0 is not allowed'
-       CALL handle_palm_message( 'check_parameters', 'PA0081', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0081', 1, 2, 0, 6, 0 )
     ENDIF
 
@@ -1399,5 +1361,5 @@
        WRITE ( message_string, * ) 'number of statistic_regions = ', &
                    statistic_regions+1, ' but only 10 regions are allowed'
-       CALL handle_palm_message( 'check_parameters', 'PA0082', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0082', 1, 2, 0, 6, 0 )
     ENDIF
     IF ( normalizing_region > statistic_regions  .OR. &
@@ -1406,5 +1368,5 @@
                 normalizing_region, ' must be >= 0 and <= ',statistic_regions, &
                 ' (value of statistic_regions)'
-       CALL handle_palm_message( 'check_parameters', 'PA0083', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0083', 1, 2, 0, 6, 0 )
     ENDIF
 
@@ -1416,5 +1378,5 @@
        message_string = 'dt_sort_particles is reset to 0.0 because of cloud' //&
                         '_droplets = .TRUE.'
-       CALL handle_palm_message( 'check_parameters', 'PA0084', 0, 1, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0084', 0, 1, 0, 6, 0 )
     ENDIF
 
@@ -1455,5 +1417,5 @@
        WRITE( message_string, * )  'averaging_interval = ', &
              averaging_interval, ' must be <= dt_data_output = ', dt_data_output
-       CALL handle_palm_message( 'check_parameters', 'PA0085', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0085', 1, 2, 0, 6, 0 )
     ENDIF
 
@@ -1465,5 +1427,5 @@
        WRITE( message_string, * )  'averaging_interval_pr = ', &
              averaging_interval_pr, ' must be <= dt_dopr = ', dt_dopr
-       CALL handle_palm_message( 'check_parameters', 'PA0086', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0086', 1, 2, 0, 6, 0 )
     ENDIF
 
